cmd_tools/envcrc.o := cc -Wp,-MD,tools/.envcrc.o.d -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer    -include ./include/compiler.h -idirafterinclude -idirafter./arch/arm/include -I./scripts/dtc/libfdt -I./tools -DUSE_HOSTCC -D__KERNEL_STRICT_NAMES -D_GNU_SOURCE -std=gnu99  -c -o tools/envcrc.o tools/envcrc.c

source_tools/envcrc.o := tools/envcrc.c

deps_tools/envcrc.o := \
    $(wildcard include/config/env/is/in/flash.h) \
    $(wildcard include/config/env/addr.h) \
    $(wildcard include/config/sys/flash/base.h) \
    $(wildcard include/config/env/offset.h) \
    $(wildcard include/config/env/addr/redund.h) \
    $(wildcard include/config/env/offset/redund.h) \
    $(wildcard include/config/env/size.h) \
    $(wildcard include/config/env/sect/size.h) \
    $(wildcard include/config/sys/monitor/base.h) \
    $(wildcard include/config/sys/monitor/len.h) \
    $(wildcard include/config/build/envcrc.h) \
    $(wildcard include/config/sys/redundand/environment.h) \
  include/compiler.h \
  /usr/include/stddef.h \
  /usr/include/sys/cdefs.h \
  /usr/include/machine/cdefs.h \
  /usr/include/sparc/cdefs.h \
  /usr/include/sys/cdefs_elf.h \
  /usr/include/sys/featuretest.h \
  /usr/include/machine/ansi.h \
  /usr/include/sys/common_ansi.h \
  /usr/include/machine/int_types.h \
  /usr/include/sparc/int_types.h \
  /usr/include/sys/common_int_types.h \
  /usr/include/sys/null.h \
  /usr/include/inttypes.h \
  /usr/include/sys/inttypes.h \
  /usr/include/sys/stdint.h \
  /usr/include/machine/int_mwgwtypes.h \
  /usr/include/sparc/int_mwgwtypes.h \
  /usr/include/sys/common_int_mwgwtypes.h \
  /usr/include/machine/int_limits.h \
  /usr/include/sparc/int_limits.h \
  /usr/include/sys/common_int_limits.h \
  /usr/include/machine/int_const.h \
  /usr/include/sparc/int_const.h \
  /usr/include/machine/wchar_limits.h \
  /usr/include/sparc/wchar_limits.h \
  /usr/include/machine/int_fmtio.h \
  /usr/include/sparc/int_fmtio.h \
  /usr/include/errno.h \
  /usr/include/sys/errno.h \
  /usr/include/stdlib.h \
  /usr/include/sys/types.h \
  /usr/include/machine/types.h \
  /usr/include/sparc/types.h \
  /usr/include/sys/ansi.h \
  /usr/include/machine/endian.h \
  /usr/include/sys/endian.h \
  /usr/include/machine/endian_machdep.h \
  /usr/include/machine/bswap.h \
  /usr/include/sys/bswap.h \
  /usr/include/sys/fd_set.h \
  /usr/include/pthread_types.h \
  /usr/include/stdint.h \
  /usr/include/stdio.h \
  /usr/include/ssp/stdio.h \
  /usr/include/ssp/ssp.h \
  /usr/include/string.h \
  /usr/include/strings.h \
  /usr/include/ssp/strings.h \
  /usr/include/ssp/string.h \
  /usr/include/sys/mman.h \
  /usr/include/fcntl.h \
  /usr/include/time.h \
  /usr/include/sys/timespec.h \
  /usr/include/sys/time.h \
    $(wildcard include/config/h.h) \
  /usr/include/sys/select.h \
  /usr/include/sys/sigtypes.h \
  /usr/include/sys/idtype.h \
  include/u-boot/crc.h \
  include/compiler.h \
  /usr/include/unistd.h \
  /usr/include/sys/unistd.h \
  /usr/include/ssp/unistd.h \
  include/config.h \
    $(wildcard include/config/boarddir.h) \
  include/config_defaults.h \
    $(wildcard include/config/defaults/h/.h) \
  include/config_uncmd_spl.h \
    $(wildcard include/config/uncmd/spl/h//.h) \
    $(wildcard include/config/spl/build.h) \
    $(wildcard include/config/spl/dm.h) \
    $(wildcard include/config/dm/serial.h) \
    $(wildcard include/config/dm/i2c.h) \
    $(wildcard include/config/dm/spi.h) \
    $(wildcard include/config/dm/warn.h) \
    $(wildcard include/config/dm/stdio.h) \
  include/configs/p3450-0000.h \
    $(wildcard include/config/tegra/board/string.h) \
    $(wildcard include/config/tegra/enable/uarta.h) \
    $(wildcard include/config/env/spi/max/hz.h) \
    $(wildcard include/config/env/spi/mode.h) \
    $(wildcard include/config/spi/flash/size.h) \
    $(wildcard include/config/preboot.h) \
  include/linux/sizes.h \
  include/linux/const.h \
  include/configs/tegra210-common.h \
    $(wildcard include/config/gicv2.h) \
    $(wildcard include/config/auto/zreladdr.h) \
    $(wildcard include/config/loadaddr.h) \
    $(wildcard include/config/ehci/is/tdi.h) \
    $(wildcard include/config/usb/ehci/txfifo/thresh.h) \
    $(wildcard include/config/tegra/gpu.h) \
  include/configs/tegra-common.h \
    $(wildcard include/config/sys/l2cache/off.h) \
    $(wildcard include/config/arm64.h) \
    $(wildcard include/config/sys/timer/rate.h) \
    $(wildcard include/config/sys/timer/counter.h) \
    $(wildcard include/config/cmdline/tag.h) \
    $(wildcard include/config/sys/ns16550/clk.h) \
    $(wildcard include/config/sys/mmc/max/device.h) \
    $(wildcard include/config/env/overwrite.h) \
    $(wildcard include/config/sys/cbsize.h) \
    $(wildcard include/config/sys/maxargs.h) \
    $(wildcard include/config/sys/bargsize.h) \
    $(wildcard include/config/sys/memtest/start.h) \
    $(wildcard include/config/sys/memtest/end.h) \
    $(wildcard include/config/sys/sdram/base.h) \
    $(wildcard include/config/sys/bootmapsz.h) \
    $(wildcard include/config/sys/init/ram/addr.h) \
    $(wildcard include/config/stackbase.h) \
    $(wildcard include/config/sys/init/ram/size.h) \
    $(wildcard include/config/sys/malloc/len.h) \
    $(wildcard include/config/sys/init/sp/addr.h) \
    $(wildcard include/config/spl/max/footprint.h) \
    $(wildcard include/config/sys/text/base.h) \
    $(wildcard include/config/spl/text/base.h) \
    $(wildcard include/config/sys/spl/malloc/size.h) \
  include/linux/stringify.h \
  arch/arm/include/asm/arch/tegra.h \
  arch/arm/include/asm/arch-tegra/tegra.h \
    $(wildcard include/config/tegra20.h) \
    $(wildcard include/config/tegra30.h) \
    $(wildcard include/config/tegra114.h) \
    $(wildcard include/config/tegra124.h) \
    $(wildcard include/config/tegra132.h) \
    $(wildcard include/config/tegra210.h) \
  include/configs/tegra-common-usb-gadget.h \
    $(wildcard include/config/ci/udc/has/hostpc.h) \
    $(wildcard include/config/sys/dfu/data/buf/size.h) \
    $(wildcard include/config/sys/dfu/max/file/size.h) \
  include/configs/tegra-common-post.h \
    $(wildcard include/config/dfu/over/usb.h) \
    $(wildcard include/config/sys/noncached/memory.h) \
    $(wildcard include/config/tegra/keyboard.h) \
    $(wildcard include/config/usb/keyboard.h) \
    $(wildcard include/config/lcd.h) \
    $(wildcard include/config/dm/video.h) \
    $(wildcard include/config/cros/ec/keyb.h) \
    $(wildcard include/config/sys/load/addr.h) \
    $(wildcard include/config/chromeos/extra/env/settings.h) \
    $(wildcard include/config/extra/env/settings.h) \
    $(wildcard include/config/tegra20/sflash.h) \
    $(wildcard include/config/tegra20/slink.h) \
    $(wildcard include/config/tegra114/spi.h) \
    $(wildcard include/config/tegra/spi.h) \
    $(wildcard include/config/skip/lowlevel/init/only.h) \
    $(wildcard include/config/sys/i2c/tegra.h) \
    $(wildcard include/config/usb/ehci/tegra.h) \
  include/config_distro_bootcmd.h \
    $(wildcard include/config/cmd/distro/bootcmd/h.h) \
    $(wildcard include/config/cmd/mmc.h) \
    $(wildcard include/config/sandbox.h) \
    $(wildcard include/config/cmd/ubifs.h) \
    $(wildcard include/config/efi/loader.h) \
    $(wildcard include/config/arm.h) \
    $(wildcard include/config/x86/run/32bit.h) \
    $(wildcard include/config/x86/run/64bit.h) \
    $(wildcard include/config/arch/rv32i.h) \
    $(wildcard include/config/arch/rv64i.h) \
    $(wildcard include/config/sata.h) \
    $(wildcard include/config/nvme.h) \
    $(wildcard include/config/scsi.h) \
    $(wildcard include/config/ide.h) \
    $(wildcard include/config/dm/pci.h) \
    $(wildcard include/config/cmd/usb.h) \
    $(wildcard include/config/cmd/virtio.h) \
    $(wildcard include/config/cmd/dhcp.h) \
    $(wildcard include/config/x86.h) \
    $(wildcard include/config/cmd/pxe.h) \
    $(wildcard include/config/cmd/dhcp/or/pxe.h) \
    $(wildcard include/config/bootcommand.h) \
  arch/arm/include/asm/config.h \
    $(wildcard include/config/h/.h) \
    $(wildcard include/config/lmb.h) \
    $(wildcard include/config/sys/boot/ramdisk/high.h) \
    $(wildcard include/config/arch/ls1021a.h) \
    $(wildcard include/config/cpu/pxa27x.h) \
    $(wildcard include/config/cpu/monahans.h) \
    $(wildcard include/config/cpu/pxa25x.h) \
    $(wildcard include/config/fsl/layerscape.h) \
  include/config_fallbacks.h \
    $(wildcard include/config/fallbacks/h.h) \
    $(wildcard include/config/spl.h) \
    $(wildcard include/config/spl/pad/to.h) \
    $(wildcard include/config/spl/max/size.h) \
    $(wildcard include/config/sys/baudrate/table.h) \
    $(wildcard include/config/cmd/kgdb.h) \
    $(wildcard include/config/sys/pbsize.h) \
    $(wildcard include/config/sys/prompt.h) \
    $(wildcard include/config/sys/i2c.h) \

tools/envcrc.o: $(deps_tools/envcrc.o)

$(deps_tools/envcrc.o):
